# Componere\Patch::__construct

(Componere 2 >= 2.1.0)

Componere\Patch::__construct — Constructor Patch

### Descripción

public Componere\Patch::__construct(object `$instance`)
public Componere\Patch::__construct(object `$instance`, array `$interfaces`)

### Parámetros

`instance`

  El objetivo de este Patch

`interfaces`

  Un array de nombres de clase insensibles a las mayúsculas y minúsculas

### Exceptions

Advertencia

Lanzará RuntimeException si una clase en `interfaces` no se puede encontrar

Advertencia

Lanzará RuntimeException si una clase en `interfaces` no es una interface